from math import *
from pylab import *

print("*******************************")
print("* Du bismuth 210 au plomb 206 *")
print("*     Exercice 57 p. 168      *")
print("******************Hatier 2020**")

### Donnees
dt=0.1		# pas de temps en jours
tBi=5.01	# demi-vie du bismuth 210 en jours
tPo=138.4	# demi-vie du polonium 210 en jours
N0=1e6		# nombre de noyaux initial en jours
tmax=600	# duree maximale de calcul en jours
Ncalc=6000	# nombre de calculs

lBi=0.693/tBi	# calcul des constantes radioactives
lPo=0.693/tPo	# du bismuth 210 et du polonium 210

### Initialisations
t=[0]
Nbi=[N0]
Npo=[0]
Npb=[0]
i=0

### A MODIFIER : Remplissage des listes t, Nbi, Npo, Npb
while (i<Ncalc):
	t.append(t[-1]+dt)
	Nbi.append()
	Npo.append()
	Npb.append()
	i=i+1

### Graphique
plot(t,Nbi,label="Bismuth")
plot(t,Npo,label="Polonium")
plot(t,Npb,label="Plomb")
xlim(0,t[Ncalc])
ylim(0,N0)
xlabel("t (en j)")
ylabel("N")
legend()
show()
